[Toaster] [PATCH 1/1] bitbake: toaster: do not trap SIGCHLD

Alex DAMIAN alexandru.damian at intel.com
Fri Mar 28 08:30:35 PDT 2014


From: Alexandru DAMIAN <alexandru.damian at intel.com>

We remove trapping SIGCHLD due to a weird interaction
with the bash version used with Ubuntu 14.04 LTS.

Signed-off-by: Alexandru DAMIAN <alexandru.damian at intel.com>
---
 bitbake/bin/toaster | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/bitbake/bin/toaster b/bitbake/bin/toaster
index b27f7c2..dea69a4 100755
--- a/bitbake/bin/toaster
+++ b/bitbake/bin/toaster
@@ -86,7 +86,7 @@ function stop_system()
     # force stop any misbehaving bitbake server
     lsof bitbake.lock | awk '{print $2}' | grep "[0-9]\+" | xargs -n1 -r kill
     trap - SIGHUP
-    trap - SIGCHLD
+    #trap - SIGCHLD
     INSTOPSYSTEM=0
 }
 
@@ -203,7 +203,7 @@ case $CMD in
         # stop system on terminal exit
         set -o monitor
         trap stop_system SIGHUP
-        trap notify_chldexit SIGCHLD
+        #trap notify_chldexit SIGCHLD
     ;;
     stop )
         stop_system
-- 
1.9.1



More information about the toaster mailing list